• 2

網頁程式碼太舊無法管理後台

因最近公司網頁後台無法修改,詢問網頁製作公司說是因為我們的網頁太舊了,程式碼也老舊,所以叫我們重新製作新網頁。
我想請教一下各位,網頁程式有老舊問題嗎?這會影響到我的後台管理功能嗎?
我們公司的網頁是2014年製作的,用了五年的網頁,他的程式就算太舊了嗎?網頁製作公司回說網頁差不多5年就要更新製作一次,小女這方面的領域實在不懂,怎麼聽都覺得怪,再請教一下各位達人,感謝
2019-07-12 13:43 發佈
emily221314 wrote:
因最近公司網頁後台...(恕刪)


應該是相容性問題 使用瀏覽器管理嗎?

IE 請將網址加入相容性
或是換火狐
http://germs.pixnet.net/blog 生活部落格
emily221314 wrote:
因最近公司網頁後台...(恕刪)


這也不是錯.

本來我公司的網頁用戰國策好幾年前的網頁模板做的,
後來有次用chrome改但是不能改,網頁按鍵都沒反應,
後來就是問客服,
客服就說舊網站後台只能用舊版ie去設定,
不然就是加價升級成新版網站後台.

現在我們就放棄掉戰國策的模板.


回到原題,
網站程式確實有版本問題,
大多數網頁開發公司應該不會特別保留舊版網頁開發工具,
但這個有利有弊,
網頁開發工具的進步也很快,
追也追不上.
就看網頁開發公司的做法.

跟網友的想法一樣,大多數公司不會覺得這應該花錢,
但對網頁開發公司而言,維護舊版程式會花到額外成本,
就應該付費
看不出來哪裡怪啊....佛心公司耶....五年幫你們換新一次網頁....他又沒說要收錢
retewchuang wrote:
看不出來哪裡怪啊....(恕刪)


"每五年重新製作",表示對方暗示應該不會是免費的.

當然是要你們花錢的理由
emily221314 wrote:
因最近公司網頁後台無...(恕刪)
有可能,最近WHM虛擬主機管理系統裡面的套件EasyApache升級到4之後會強迫更新PHP版本從5升級到7(可以選擇保留5.6版本)

如果有保留5.6版本的話,在.htaccess裡面加上下列字串即可

<IfModule mime_module>
AddHandler application/x-httpd-ea-php56 .php .php5 .phtml
</IfModule>



emily221314 wrote:
網頁程式有老舊問題嗎?這會影響到我的後台管理功能嗎?...(恕刪)

人在江湖飄,哪有不挨刀
那個網頁製作公司給你唬爛啦,而且專業度不夠,建議換一家


估計是伺服器 php / SQL 版本問題,或 php.ini 參數問題。

動態網頁程式,大致分三種:PHP、JSP、ASP。以 PHP 最常見。

PHP來說,還有分版本,比方說: 5.X 版、7.X版

如果寫程式的人外行,菜鳥,在 5.X版用了大量的「全域變數」,PHP 升級到 7.X版後,可能程式根本就無法跑。

因為那些「全域變數」已經被發現有嚴重漏洞,網站會被入侵,所以在新版已經全部拿掉,或者預設禁用(要去組態檔打開才能用)。導致無法運行。那個在當初程式社群就已經警告不要用,會有資安問題,且以後八成會拿掉支援。但有些菜鳥程式員因為方便,或者不會其它方法,不理會資安問題而繼續使用。

兩種解決方法:
● 程式碼重新改寫
● 伺服器的 PHP 降級使用。改用回舊版的,並加入自動更新的例外。

鑑於一些 OS 發行板,套件管理無法把軟體降級。可能必須手動安裝,Linux 系統的話要下原始碼自行編譯,比較麻煩。然用回舊版,不代表漏洞就消失了,會存在被入侵的風險,但網站可以恢復正常使用。

具體可以詢問 虛擬主機(伺服器)服務商,如何把 PHP 用回舊版的?

至於版本號,詢問網頁製作公司,他們寫的這個網頁程式,要在那一版本以前的才能正常運作。假如他們願意說的話,而不是一昧只想叫你花錢打掉重練。

※ 這只是舉例,不清楚你的情況。也許你那網站不是用 PHP,而是用 JSP、ASP 什麼的。不過道理都是相同的。

SQL 資料庫也是有版本語法的問題,不過比較罕見。用了老舊版本很冷門的語法,結果新版本拿掉那語法支援了,導致無法運行。

具體要看原網頁製作公司,願不願透漏細節。當然如果他們透漏了細節,就相當於承認了當初粗製濫造,且放過了肥羊。所以願意透漏的可能性相當低。畢竟早過了保固,要解決問題拿錢解決,大部分是這種心態的。

如果要拿錢解決,換別家了。
還是要看程式碼才知道

如果後台完全沒動,因為換瀏覽器導致無法使用
這就代表網頁使用到太舊的語法

可以使用IE 11跑看看
syntech wrote:
這也不是錯.本來我...(恕刪)

我本來也是用戰國策用超過十年
今年就決定不再續用了
因為後來覺得Cpanel管理好用多了
PHP版本可自由設定,不用看別人臉色
  • 2
限制級
您即將進入之討論頁 需滿18歲 方可瀏覽。
根據「電腦網路內容分級處理辦法」修正條文第六條第三款規定,已於該限制級網頁,依台灣網站分級推廣基金會規定作標示。
評分
複製連結